<?php
/**********************************************************************

	Released under the terms of the GNU General Public License, GPL,
***********************************************************************/

        
class finance_app extends application
{
	function __construct()
	{
		parent::__construct("FM", _($this->help_context = "&Finance")); 

        $this->add_module(_("Transactions"));

        $this->add_lapp_function(0, _("&Credit Facilities"),"finance/credit_facilities.php?", 'SA_CREDIT_FACILITIES', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Company Loans"),"finance/company_loans.php?", 'SA_COMPANY_LOANS', MENU_TRANSACTION);
//        $this->add_lapp_function(0, _("&Company Loan Instalments"),"finance/company_loan_installments.php?", 'SA_COMPANY_LOAN_INSTALMENTS', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Bonds"),"finance/bonds.php?", 'SA_BONDS', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Letters of Credit"),"finance/letters_of_credit.php?", 'SA_LETTERS_OF_CREDIT', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Insured Items"),"finance/insured_items.php?", 'SA_INSURED_ITEMS', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Fixed Deposits"),"finance/fixed_deposits.php?", 'SA_FIXED_DEPOSITS', MENU_TRANSACTION);

        
		$this->add_module(_("Inquiries and Reports"));
        $this->add_lapp_function(1, _("Credit Facilities Inquiry"),"finance/inquiry/credit_facilities_inquiry.php", 'SA_FINNACE_INQUIRIES', MENU_REPORT);
        $this->add_lapp_function(1, _("Bonds Inquiry"),"finance/inquiry/bonds_inquiry.php", 'SA_FINNACE_INQUIRIES', MENU_REPORT);
        $this->add_lapp_function(1, _("Company Loans Inquiry"),"finance/inquiry/company_loans_inquiry.php", 'SA_FINNACE_INQUIRIES', MENU_REPORT);
        $this->add_lapp_function(1, _("Letters of Credit Inquiry"),"finance/inquiry/letters_of_credit_inquiry.php", 'SA_FINNACE_INQUIRIES', MENU_REPORT);
        $this->add_lapp_function(1, _("Insured Items Inquiry"),"finance/inquiry/insured_items_inquiry.php", 'SA_FINNACE_INQUIRIES', MENU_REPORT);
        $this->add_lapp_function(1, _("Fixed Deposits Inquiry"),"finance/inquiry/fixed_deposits_inquiry.php", 'SA_FINNACE_INQUIRIES', MENU_REPORT);

        
//		$this->add_rapp_function(1, _("Asset &Reports"),"reporting/reports_main.php?Class=".RC_FINANCE, 'SA_ASSET_ANALYTIC', MENU_REPORT);


        $this->add_rapp_function(1, _("Finance Management &Reports"),"reporting/reports_main.php?Class=".RC_FINANCE, 'SA_FINANCE_ANALYTIC', MENU_REPORT);

        $this->add_module(_("Maintenance"));


        $this->add_extensions();
    }
}


?>